zenilib: FT_Raster_Params_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_Raster_Params_ Struct Reference

`#include <ftimage.h>`

## Public Attributes

FT_Raster_BitSet_Func | bit_set
FT_Raster_BitTest_Func | bit_test
FT_SpanFunc | black_spans
FT_BBox | clip_box
int | flags
FT_SpanFunc | gray_spans
const void * | source
const FT_Bitmap * | target
void * | user

## Detailed Description

Definition at line 1104 of file ftimage.h.

## Member Data Documentation

FT_Raster_BitSet_Func FT_Raster_Params_::bit_set

Definition at line 1112 of file ftimage.h.

FT_Raster_BitTest_Func FT_Raster_Params_::bit_test

Definition at line 1111 of file ftimage.h.

FT_SpanFunc FT_Raster_Params_::black_spans

Definition at line 1110 of file ftimage.h.

FT_BBox FT_Raster_Params_::clip_box

Definition at line 1114 of file ftimage.h.

Referenced by gray_raster_render().

int FT_Raster_Params_::flags

Definition at line 1108 of file ftimage.h.

Referenced by ft_black_render(), FT_Outline_Get_Bitmap(), ft_raster1_render(), ft_smooth_render_generic(), and gray_raster_render().

FT_SpanFunc FT_Raster_Params_::gray_spans

Definition at line 1109 of file ftimage.h.

Referenced by gray_raster_render().

const void* FT_Raster_Params_::source

Definition at line 1107 of file ftimage.h.

Referenced by ft_black_render(), ft_raster1_render(), ft_smooth_render_generic(), and gray_raster_render().

const FT_Bitmap* FT_Raster_Params_::target

Definition at line 1106 of file ftimage.h.

Referenced by ft_black_render(), FT_Outline_Get_Bitmap(), ft_raster1_render(), ft_smooth_render_generic(), and gray_raster_render().

void* FT_Raster_Params_::user

Definition at line 1113 of file ftimage.h.

Referenced by gray_raster_render().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/ftimage.h